SystemOrganization addCategory: #ConfigurationOfScheduler!

Object subclass: #ConfigurationOfScheduler
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfScheduler'!

!ConfigurationOfScheduler class methodsFor: 'development support' stamp: 'SeanDeNigris 6/7/2012 14:14'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfScheduler class methodsFor: 'private' stamp: 'SeanDeNigris 6/7/2012 14:14'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfScheduler class methodsFor: 'private' stamp: 'SeanDeNigris 6/7/2012 14:14'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfScheduler class methodsFor: 'private' stamp: 'SeanDeNigris 6/7/2012 14:14'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfScheduler class methodsFor: 'metacello tool support' stamp: 'SeanDeNigris 6/7/2012 14:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfScheduler class methodsFor: 'loading' stamp: 'SeanDeNigris 6/7/2012 14:14'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfScheduler class methodsFor: 'loading' stamp: 'SeanDeNigris 6/7/2012 14:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfScheduler class methodsFor: 'loading' stamp: 'SeanDeNigris 6/7/2012 14:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfScheduler class methodsFor: 'accessing' stamp: 'SeanDeNigris 6/7/2012 14:14'!
project

	^self new project! !

!ConfigurationOfScheduler class methodsFor: 'development support' stamp: 'SeanDeNigris 6/7/2012 14:14'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfScheduler methodsFor: 'baselines' stamp: 'SeanDeNigris 6/7/2012 14:14'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://squeaksource.com/Scheduler'.
		spec package: 'Scheduler'.
		spec group: 'default' with: #('Scheduler' ). ].
! !

!ConfigurationOfScheduler methodsFor: 'baselines' stamp: 'TorstenBergmann 7/17/2013 13:08'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/TorstenBergmann/Scheduler/main'.
		spec package: 'Scheduler'.
		spec group: 'default' with: #('Scheduler' ). ].
! !

!ConfigurationOfScheduler methodsFor: 'symbolic versions' stamp: 'SeanDeNigris 6/7/2012 14:16'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfScheduler methodsFor: 'accessing' stamp: 'SeanDeNigris 6/7/2012 14:14'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfScheduler methodsFor: 'symbolic versions' stamp: 'TorstenBergmann 7/17/2013 13:09'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.0'.
! !

!ConfigurationOfScheduler methodsFor: 'versions' stamp: 'SeanDeNigris 6/7/2012 14:16'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'initial version'.
		spec author: 'SeanDeNigris'.
		spec timestamp: '6/7/2012 14:16'.
		spec package: 'Scheduler' with: 'Scheduler-DiegoKogan.20'. ].
! !

!ConfigurationOfScheduler methodsFor: 'versions' stamp: 'TorstenBergmann 7/17/2013 13:11'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'migrated from SqS to STHub'.
		spec author: 'TorstenBergmann'.
		spec timestamp: '7/17/2013 14:16'.
		spec package: 'Scheduler' with: 'Scheduler-DiegoKogan.20'. ].
! !
